Get Seller Profile
curl --request GET \
--url https://scrapebadger.com/v1/ebay/sellers/{username} \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/ebay/sellers/{username}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/ebay/sellers/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domain": "<string>",
"seller": {
"username": "<string>",
"url": "<string>",
"store_name": "<string>",
"store_url": "<string>",
"feedback_score": 123,
"feedback_percent": 123,
"member_since": "<string>",
"location": "<string>",
"items_for_sale": 123,
"feedback_12mo": {
"positive": 123,
"neutral": 123,
"negative": 123
},
"top_rated": true,
"scraped_utc": 123,
"scraped_at": "<string>"
}
}Sellers
Get Seller Profile
An eBay seller’s public profile, feedback summary, and store info.
GET
/
v1
/
ebay
/
sellers
/
{username}
Get Seller Profile
Path Parameters
string
required
The eBay seller username (e.g.
topgames_us).Query Parameters
string
default:"com"
eBay marketplace domain to resolve the seller on.Examples:
com, co.uk, de, frResponse
string
Marketplace domain the seller was fetched from.
object
Seller profile object.
Show Seller object
Show Seller object
string
Seller username.
string
URL to the seller’s profile page.
string
eBay Store name, if the seller has a store (nullable).
string
URL to the seller’s store (nullable).
integer
Lifetime feedback score (nullable).
number
Positive-feedback percentage (nullable).
string
Account creation date text (nullable).
string
Seller location (nullable).
integer
Number of active listings (nullable).
object
boolean
Whether the seller is a Top Rated Seller (nullable).
string
ISO 8601 timestamp when the seller was scraped.
Example Response
{
"domain": "com",
"seller": {
"username": "topgames_us",
"url": "https://www.ebay.com/usr/topgames_us",
"store_name": "Top Games US",
"store_url": "https://www.ebay.com/str/topgamesus",
"feedback_score": 18452,
"feedback_percent": 99.4,
"member_since": "Mar 2014",
"location": "United States",
"items_for_sale": 1342,
"feedback_12mo": { "positive": 9821, "neutral": 41, "negative": 53 },
"top_rated": true,
"scraped_at": "2026-06-21T12:00:00Z"
}
}
Each seller-profile request costs 5 credits. Failed requests are not charged.
Authorizations
Path Parameters
The eBay seller username.
Query Parameters
eBay marketplace domain TLD or alias (com, co.uk, de, fr, ...).
⌘I

